local M = {}

local function changePlayerName() 
	local defaultVehicle = readJsonFile('settings/default.pc')

	if defaultVehicle ~= nil then 
		Steam.playerName = defaultVehicle.licenseName
	else
		Steam.playerName = "SET ME"
	end

	log('I', 'torsion_steam-player-name-changer', 'Steam.playerName changed to "' .. Steam.playerName .. '"')
end

local function onExtensionLoaded()
	log('D', 'nodeStream.onExtensionLoaded', "mods/Torsion's Steam Name Changer loaded")

	local defaultVehicle = readJsonFile('settings/default.pc')
	
	if defaultVehicle ~= nil then 
		if defaultVehicle.licenseName == Steam.playerName then
			defaultVehicle.licenseName = "CHNG ME"
			writeJsonFile('settings/default.pc', defaultVehicle, true)
		end
	end

	changePlayerName()
end

M.onExtensionLoaded = onExtensionLoaded
M.onClientEndMission = changePlayerName

return M